# Generated from fixedpnt-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fixedpnt

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Binary Fixed Point calculations with Ruby
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.5
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
Binary Fixed Point calculations with Ruby.
fixedpnt allows simulating binary fixed point calculations done in hardware.
If you want to know what fixed point numbers are, you can read this: 
http://en.wikipedia.org/wiki/Fixed-point_arithmetic
There is another library from Phil Tomson which serves the same purpose
but with different properties:
http://rubyforge.org/projects/fixedpt/
For _decimal_ fixed point calculations there is at least the library
from Karl Brodowsky:
http://rubyforge.org/projects/long-decimal/.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTORS
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Feb 08 2022 mockbuilder - 0.0.2-1
- Initial package
